Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 04/15/2024 in all areas

  1. I moved your thread to the AutoLISP, Visual LISP & DCL Forum.
    1 point
  2. @XDSoft First, I think what Steven P was attempting to explain, is that he cannot install or run the .exe file regardless of whether it was compressed using WINRAR or something else. Secondly, Our office currently and every other office I have worked for uses ZIP compression, which Windows has available natively without need for additional software.
    1 point
  3. When comparing reals use "equal" instead of "=", after two expressions you define fuzz factor. As was said above, CAD stores reals to max number of precision, so even though two numbers seem the same they might not be.
    1 point
  4. I'll add in another problem that our IT has 'locked down' software, I am not sure we have the software now to open RAR files? External exe files.... not going to happen!
    1 point
  5. Oh, you're right Install WINRAR decompression software Then right-click on the downloaded RAR, find Unzip in the menu WINRAR, and copy it to the hard drive. Then double-click the exe file to install
    1 point
  6. Coordinates are stored to approximately 15 significant digits. When you print a number it is rounded to 6 significant digits. Note that in the following a and b are shown as the same value when printed but they really differ by 0.0000001. Command: (setq a 1.2345678) 1.23457 Command: (setq b 1.2345679) 1.23457 Command: (setq c (- a b)) -1.0e-07
    1 point
  7. I can't correct your code, there are a lot of writing errors. But I think I understand what you are talking about, so I suggest this which should make a transitional curve between a line and a circle. clothoide.lsp idclo.lsp
    1 point
  8. I don't think of a fit point as an object but as a location in 3D space. A spline is an object. I you want to add a fit point in LISP to a spline that has fit points you just mimic the command options for the splinedit command. For example. Given a spline with fit points: 1,1 2,3 4,1 6,2 and lets assume that you want to add a fit point with the coordinate 4.5,1.5 between the 3rd and 4th fit point you could give the following LISP command. (command "_splinedit" (entsel) "f" "a" "4,1" "4.5,1.5" "" "" "x" "x") Of course you can replace the explicit coordinates such as "4,1" with a LISP variable.
    1 point
  9. Fit points are...points. Dxf group code 11. I'm still not sure what are you exactly trying to do, but from your last post you are trying to add new fit points with lisp WITHOUT clicking point, no human interaction? Something like this maybe? (command "splinedit" (entsel) "f" "a" (nth n FitPointList) NewPoint "" "" "" "") Where "FitPointList" is a list of spline Fit points, you are selecting the nth element NewPoint is new point you want to add See this for example (defun c:test ( / ASSOCK_lst spline FitPointList NewPoint n) (defun ASSOCK_lst (EntDef code / out) (while (setq values (assoc code EntDef)) (setq out (append out (list (cdr values)))) (setq EntDef (cdr (member values EntDef))) ) out ) (setq spline (car (entsel "Select SPLINE"))) (setq FitPointList (ASSOCK_lst (entget spline) 11)) (setq n (getint (strcat "Enter Fit point number [1-" (itoa (length FitPointList)) "]: "))) (setq NewPoint (getpoint (nth (- n 1) FitPointList) "\nGet new point to add to SPLINE\n")) (command "splinedit" spline "f" "a" (nth (- n 1) FitPointList) NewPoint "" "" "" "") )
    1 point
  10. https://forums.autodesk.com/t5/visual-lisp-autolisp-and-general/overkill-all-blocks/m-p/8401290/highlight/true#M377027 HTH., M.R.
    1 point
×
×
  • Create New...